
/*
 * Configuration file for GRC client/server software
 * Started: 2006/Feb/07
 *
 * Coding: Mirsad Todorovac <mtodorov@grf.hr>
 *
 */

#define GRCPORT 6502

#define MAX_CMDLINESIZE 128    /* max size of serv talk cmd line except
				  filename, must be the same on client and
				  server */
#define MAXSERV 16             /* max no of simultaneous render servers to
				  connect to, the rest from .cfg file is
				  simply ignored */

#define RECV_BUFSIZE (MAX_CMDLINESIZE+128)
    /* max size of complete clnt/srv talk line. too much is simply
     * trashing the net, and too little will cut off long filenames. */

#define DNSNAME_MAX 1024

#define HAVE_EXTERN

#define POVRAY_BIN "/usr/local/bin/povray"

