/*
 * (C) Copyright 2006 Graphics Cluster Rendering Project
 * (C) Copyright 2006 Faculty of Graphic Arts, University of Zagreb, Croatia
 *
 * This code is part of Graphics Rendering Cluster Project support, carried out
 * at Faculty of Graphic Arts, University of Zagreb, Croatia.
 *
 * This code is developed under GPL (GNU General Public License). It is
 * essential that this project remains under this license, as demanded by
 * license rights of code that was inherited to this project from other
 * GPL projects, as stated and credited elsewhere.
 *
 * Coding: Mirsad Todorovac, <mtodorov@grf.hr>
 *
 * Name: grc.h
 *
 * Started: 2006/Feb/07 Tue
 *
 */

#include "config.h"

#ifdef HAVE_EXTERN
# define __extern extern
#else
#define __extern
#endif

__extern int    _argc;
__extern char **_argv;

    /* open the file _model_ and "dispatch" it, that is copy it
     * to file descriptor _conn_sock_. _conn_sock_ can also be
     * a file, but the name is historical */

extern int dispatch (char *model, int conn_sock);

    /* dump bytes from file descriptor to filename */

extern int receive (int conn_sock, char *filename);
extern int receive (int conn_sock, char *filename, ssize_t filesize);

#ifndef MIN
#  define MIN(x,y) (((x)<(y))?(x):(y))
#endif
#ifndef MAX
#  define MAX(x,y) (((x)>(y))?(x):(y))
#endif

#define TRUE 1
#define FALSE 0

